> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/ja/help/error-management/cps-error-management/provisioningserviceerror.md).

# ProvisioningServiceError

### 概要

トークン化中は、次を使用します `ProvisioningServiceManager`。操作が失敗すると、SDK は次をスローします `ProvisioningServiceError`.

使用します `ProvisioningServiceError` エラーのカテゴリと詳細を読み取るには:

* `getSdkErrorCode()`：返します `ProvisioningServiceErrorCodes`.
* `getCpsErrorCode()`：CPS サーバーのエラーコードを返します。
* `getHttpStatusCode()`：HTTP ステータスコードを返します。
* `getErrorMessage()`：人間が読めるメッセージを返します。
* `getTokenId()`：カード固有の場合は、トークン ID を返します。
* `getStatusAdditionalInfo()`：利用可能な場合は、追加の CPS リクエストの詳細を返します。

このセクションでは、エラーの解析方法を示します。

### エラーを解析する

SDK が次をスローした場合 `ProvisioningServiceError`、次のように解析します:

1. 呼び出します `getSdkErrorCode()` 取得するには `ProvisioningServiceErrorCodes`.
2. コードが次と等しい場合 `COMMON_COMM_ERROR`、次を呼び出します `getHttpStatusCode()`.
3. コードが次と等しい場合 `COMMON_SERVER_ERROR`、次を呼び出します `getCpsErrorCode()`.
4. 呼び出します `getErrorMessage()` 説明メッセージを取得します。
5. エラーがカード固有の場合は、次を呼び出します `getTokenId()`.
6. エラーが CPS リクエストに関連している場合は、次を呼び出します `getStatusAdditionalInfo()`.

{% hint style="info" %}
その他のエラーも同様の構造です。詳細については、次を参照してください [Android API](/nfc-wallet-sdk-android/ja/android-api.md).
{% endhint %}

次のすべての値を確認してください: `ProvisioningServiceErrorCodes` 次に [Android API](/nfc-wallet-sdk-android/ja/android-api.md)。例:

* `COMMON_COMM_TIMEOUT_ERROR`：サーバー接続を開く際の接続タイムアウト。
* `COMMON_NO_INTERNET`：利用可能なデータ接続がありません。

### サーバー エラーの詳細

受信したら `COMMON_SERVER_ERROR`、次を呼び出します `getCpsErrorCode()`。また、次を呼び出します `getErrorMessage()`.

既知のサーバー エラーコードとメッセージには、次のクラスを使用します:

* `KnownCpsErrorCodes`
* `KnownMessageCode`

{% hint style="info" %}
ここに記載されているエラーコードとエラーメッセージは、すべてではありません。
{% endhint %}

{% hint style="warning" %}
これらのエラーを受信したときに、同じリクエストを自動的に再試行しないでください。エンドユーザーに通知してください。サーバー エラーコードとともにサポートチームへ連絡するよう依頼してください。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/ja/help/error-management/cps-error-management/provisioningserviceerror.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
